Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.xkms
Class UnverifiedKeyBinding

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.xkms.AbstractKeyBinding
oracle.security.xmlsec.xkms.UnverifiedKeyBinding`

Direct Known Subclasses:
  KeyBinding

public class UnverifiedKeyBinding
extends AbstractKeyBinding

Represents the `UnverifiedKeyBinding` element for use with requests and responses.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`UnverifiedKeyBinding(org.w3c.dom.Document owner)` Creates a new `UnverifiedKeyBinding` instance.
`UnverifiedKeyBinding(org.w3c.dom.Document owner, java.lang.String systemId)` Creates a new `UnverifiedKeyBinding` instance.
`UnverifiedKeyBinding(org.w3c.dom.Document owner, java.lang.String tagName, java.lang.String systemId)` Creates a new `UnverifiedKeyBinding` instance.
`UnverifiedKeyBinding(org.w3c.dom.Element element)` Creates a new `UnverifiedKeyBinding` instance from the given Element node.

Method Summary
`java.util.Date` | `getValidityNotBefore()` Returns the `NotBefore` attribute value of the `ValidityInterval` element for this `KeyBinding`.
`java.util.Date` | `getValidityNotOnOrAfter()` Returns the `NotOnOrAfter` attribute value of the `ValidityInterval` element for this `KeyBinding`.
`void` | `setValidityInterval(java.util.Date notBefore, java.util.Date notOnOrAfter)` Sets the validity interval for this key binding assertion.

Methods inherited from class oracle.security.xmlsec.xkms.AbstractKeyBinding
`addKeyUsage, addUseKeyWith, getID, getKeyInfo, getKeyUsages, getUseKeyWithApplications, getUseKeyWithIdentifiers, setID, setKeyInfo`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnverifiedKeyBinding

    public UnverifiedKeyBinding(org.w3c.dom.Element element)
                         throws org.w3c.dom.DOMException

  Creates a new `UnverifiedKeyBinding` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XKMS UnverifiedKeyBinding schema.
Throws:
  `org.w3c.dom.DOMException`

### UnverifiedKeyBinding

    public UnverifiedKeyBinding(org.w3c.dom.Document owner)
                         throws org.w3c.dom.DOMException

  Creates a new `UnverifiedKeyBinding` instance.
Parameters:
  `owner` - The owner document of the new `KeyBinding`
Throws:
  `org.w3c.dom.DOMException`

### UnverifiedKeyBinding

    public UnverifiedKeyBinding(org.w3c.dom.Document owner,
                                java.lang.String systemId)
                         throws org.w3c.dom.DOMException

  Creates a new `UnverifiedKeyBinding` instance.
Parameters:
  `owner` - The owner document of the new `KeyBinding`.
  `systemId` - The URI string system ID for the `Message`.
Throws:
  `org.w3c.dom.DOMException`

### UnverifiedKeyBinding

    public UnverifiedKeyBinding(org.w3c.dom.Document owner,
                                java.lang.String tagName,
                                java.lang.String systemId)
                         throws org.w3c.dom.DOMException

  Creates a new `UnverifiedKeyBinding` instance.
Parameters:
  `owner` - The owner document of the new `KeyBinding`.
  `tagName` - The name of the element to be created.
  `systemId` - The URI string system ID for the `Message`.
Throws:
  `org.w3c.dom.DOMException`

Method Detail

### setValidityInterval

    public void setValidityInterval(java.util.Date notBefore,
                                    java.util.Date notOnOrAfter)
                             throws org.w3c.dom.DOMException

  Sets the validity interval for this key binding assertion.
  Parameters:
    `notBefore` - Time instant at which the validity interval begins.
    `notOnOrAfter` - Time instant at which the validity interval has ended.
  Throws:
    `org.w3c.dom.DOMException`

### getValidityNotBefore

    public java.util.Date getValidityNotBefore()

  Returns the `NotBefore` attribute value of the `ValidityInterval` element for this `KeyBinding`.
  Returns:
    The `NotBefore` date, or `null` if none is present.

### getValidityNotOnOrAfter

    public java.util.Date getValidityNotOnOrAfter()

  Returns the `NotOnOrAfter` attribute value of the `ValidityInterval` element for this `KeyBinding`.
  Returns:
    The `NotOnOrAfter` date, or `null` if none is present.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.